brlapi_handles(3)

NAME
brlapi_handles - Each function provided by BrlAPI comes in two versions.

SYNOPSIS

  Typedefs
typedef struct brlapi_handle_t brlapi_handle_t

  Functions
size_t BRLAPI_STDCALL brlapi_getHandleSize (void)

Detailed Description

1.  A version whose name is prefixed by brlapi_ for clients opening only one simultaneous connection with BrlAPI (most frequen case)

2.  A version whose name is prefixed by brlapi__ for use by clients wishing to open more than one connection to BrlAPI.

A function called brlapi__foo is used in exactly the same way as its brlapi_foo counterpart, except that it takes an additional argument (the first one), which is a handle letting the client refer to a given connection in a similar manner to what file descriptors do.

In case you want to check that your code is not erroneously using brlapi_foo functions, define BRLAPI_NO_SINGLE_SESSION before including <brlapi.h>: that will disable the declaration of all single session functions.

Typedef Documentation

  typedef struct brlapi_handle_t brlapi_handle_t
Type for BrlAPI hanles

Function Documentation

  size_t BRLAPI_STDCALL brlapi_getHandleSize (void)
Returns the size of an object of type brlapi_handle_t in bytes

Author

Generated automatically by Doxygen for BrlAPI from the source code.